using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查区域
    /// </summary>
    [Description("检查区域")]
    public class T_BS_SAFE_CHECK_RISK_AREA : MesEntityBase
    {
        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查类型表")]
        [DataFieldForeignKey("Nav_SafeCheck", "Nav_ListCheckRiskArea")]
        public Guid SAFE_CHECK_ID { get; set; }

        /// <summary>
        /// 导航：检查类型表
        /// </summary>
        [Description("导航：检查类型表")]
        public virtual T_BS_SAFE_CHECK Nav_SafeCheck { get; set; }

        /// <summary>
        /// 检查区域
        /// </summary>
        [Description("检查区域")]
        [DataFieldForeignKey("Nav_RiskArea")]
        [FormFieldEdit]
        public Guid RISK_AREA_ID { get; set; }

        /// <summary>
        /// 导航：检查区域
        /// </summary>
        [Description("导航：检查区域")]
        public virtual T_HM_RISK_AREA Nav_RiskArea { get; set; }
    }
}